Package org.drinkless.tdlib

# Class TdApi.UpdateMessageReaction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateMessageReaction

Enclosing class:
  `TdApi`

public static class TdApi.UpdateMessageReaction extends TdApi.Update
User changed its reactions on a message with public reactions; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.MessageSender`
  `actorId`
  Identifier of the user or chat that changed reactions.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the reactions were changed.
  `long`
  `messageId`
  Message identifier.
  `TdApi.ReactionType[]`
  `newReactionTypes`
  New list of chosen reactions.
  `TdApi.ReactionType[]`
  `oldReactionTypes`
  Old list of chosen reactions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateMessageReaction()`
  User changed its reactions on a message with public reactions; for bots only.
  `UpdateMessageReaction(long chatId, long messageId, TdApi.MessageSender actorId, int date, TdApi.ReactionType[] oldReactionTypes, TdApi.ReactionType[] newReactionTypes)`
  User changed its reactions on a message with public reactions; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### messageId

    public long messageId
    Message identifier.

  - ### actorId

    public TdApi.MessageSender actorId
    Identifier of the user or chat that changed reactions.

  - ### date

    public int date
    Point in time (Unix timestamp) when the reactions were changed.

  - ### oldReactionTypes

    public TdApi.ReactionType[] oldReactionTypes
    Old list of chosen reactions.

  - ### newReactionTypes

    public TdApi.ReactionType[] newReactionTypes
    New list of chosen reactions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateMessageReaction

    public UpdateMessageReaction()
    User changed its reactions on a message with public reactions; for bots only.

  - ### UpdateMessageReaction

    public UpdateMessageReaction(long chatId, long messageId, TdApi.MessageSender actorId, int date, TdApi.ReactionType[] oldReactionTypes, TdApi.ReactionType[] newReactionTypes)
    User changed its reactions on a message with public reactions; for bots only.
    Parameters:
      `chatId` - Chat identifier.
      `messageId` - Message identifier.
      `actorId` - Identifier of the user or chat that changed reactions.
      `date` - Point in time (Unix timestamp) when the reactions were changed.
      `oldReactionTypes` - Old list of chosen reactions.
      `newReactionTypes` - New list of chosen reactions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR